<?php

class m131217_085028_add_measured_speed extends MyDbMigration
{
	public function up()
	{
		if ($this->dbConnection->schema->getTable('storicotable')->getColumn('measured_speed') == null)
			$this->addColumn('storicotable', 'measured_speed', 'float');
	}

	public function down()
	{
		if ($this->dbConnection->schema->getTable('storicotable')->getColumn('measured_speed') != null)
			$this->dropColumn('storicotable', 'measured_speed');
		
		return true;
	}

	/*
	// Use safeUp/safeDown to do migration with transaction
	public function safeUp()
	{
	}

	public function safeDown()
	{
	}
	*/
}